 * Aenderungen in Version 1.22.00 vom 06.03.2026
 * Abfangen von Problemen beim Update der Datenbank. Ggf. vorhandene Spalten werden geloescht.
 * Deutsch (EN-Normen) hinzugefuegt.
 * Es werden beim Oeffnen der Datenbank verschiedene Datenbankfelder auf ihre Typen geprueft. Damit wird 
 * sichergestellt, dass die Datenbank konsistent ist.
 * Uebernahme der Firmware 1.19

 * Aenderungen in Version 1.21.07
 * Fehlerbehebung in der Kommunikation

 * Aenderungen in Version 1.21.06
 * Entladeanzeige bei der Spannungsmessung hinzugefuegt.

 * Aenderungen in Version 1.21.05
 * Beim Zuruecksetzen auf Werkseinstellung wird der Fehler abgefangen, wenn es vorher keine BTEC-User-Kommentar-Tabelle gab.
 * User-DB-Version 21

 * Aenderungen in Version 1.21.04 vom 12.09.2025
 * Die Standard-Batteriekapazitaet wurde auf 2600mAh geaendert.
 * Der Batteriestrom wird oberhalb von 999mA in A angzeigt.
 * Die Batteriekapazitaet wird oberhalb von 999mAh in Ah angzeigt.
 * Uebersetzungen fuer EV korrigiert.

 * Aenderungen in Version 1.21.03 vom 10.09.2025
 * Das Aendern der Grenzwerte wurde vereinfacht. Der Kunde kann jetzt mehrere Grenzwerte in verschiedenen Kategorien auf einmal aendern.

 * Aenderungen in Version 1.21.02 vom 08.09.2025
 * Warten auf Entladung vom Geraet wird bei VDE0544 und RISO-PrUefschritten angezeigt.

 * Aenderungen in Version 1.21.01 vom 04.09.2025
 * Passwort Aendern wird uebersetzt.
 * BTEC: Import wird mit dem aktuellen Projekt des Benutzers durchgefuehrt.
 * BTEC: Schließen der Datenbank optimiert, damit der Up- und Download funktioniert.
 * Die Sprache wird jetzt beim ersten Aufruf richtig uebernommen.
 * Die Pruefungsart wird jetzt richtig gelesen bzw. gesetzt beim erneuten Oeffnen bzw. Speichern vom Testergebnis.
 * Geraetename wird auch nach einem Benutzerwechsel in der richtigen Sprache angezeigt.
 * Der Kabelwiderstand und der RPE Widerstand wird gleich berechnet.
 * Remote-Schnittstelle: Grenzwerte fUer die PRCD und PRCD-DC PrUefung koennen mit uebertragen werden.
 * Wenn die Cloud nicht die Anzahl der Geraete mitteilt, dann wird trotzdem die Datenbank exportiert.

 * Aenderungen von Version 1.21 vom 20.08.2025
 * User-Gruppe: Der Zugang zu den Netzwerkeinstellungen ist eingeschraenkt. Ausser der Admin hat dem User die Rechte hierfuer erteilt.
 * Passwort-Wechsel nach der ersten Anmeldung ist erforderlich.
 * FTP wurde abgeschaltet.
 * SFTP hinzugefuegt.
 * SFTP-Server ist nur aktiv, wenn der Benutzer eingeloggt ist und der Benutzer einen SFTP-Benutzername und ein SFTP-Passwort eingegeben hat.
 * User-Logging hinzugefuegt.
 * MA EV 1: SW-Version V1.01.02
 * Ueberpruefung vom Gesamtupdate wurde hinzugefuegt.
 * Fehlermeldungen beim Speichern / Laden vom Geraet und vom Ergebnis sind behoben.
 * BTEC Datei-Upload: Wenn bei neuen Benutzer in BTEC kein Projekt ausgewaehlt wurde, dann erscheint eine Meldung.
 * Abspeichern vom Geraet: Bei groesseren Datenbank ist es vorgekommen, das nach dem Speichern vom Geraet kein Pruefplan angezeigt wurde. 
 
 * Aenderungen in Version 1.20 vom 05.06.2025
 * Null-Pointer wird beim Starten von einem Test abgefangen, damit die kundenspez. Pruefablaeufe im Automatiktest immer funktionieren.
 * Bluetooth-Verbindungsaufbau: Wiederholung im Fehlerfall hinzugefuegt.
 * MA EV 1: Bei der Ueberpruefung vom Update bzw. vom MA EV 1 wird beim Abbruch der Abbruchgrund mitgeloggt.
 * Beim Wechsel in den Bootloader fuer den Hardware-Controller wird das Timeout verlaengert.
 * Drucken von Testlabel: Die ID Laenge wurde von 8 auf 9 geaendert, damit die ueberpruefte Laenge auch der Laenge der Meldung entspricht.
 * Abfangen von Fehlern in der Combobox-Form.
 * Optimierung fuer fehlerhafte Datenbanken aus der Cloud.
 * MA EV 1: Software-Version 1.01.00
 * Ueberpruefung der Seriennummer optimiert. 
 * Zeitverzoegerung beim Schließen vom Popup hinzugefuegt.
 * PRCD und PRCD-DC: Zeitmessungen werden ohne Nachkommastellen angezeigt. Doppelter Aufruf vom Messwertempfang wird vermieden.
 * PRCD: Bei den Info-Werten in der Voransicht fuer den Pruefschritt wird jetzt der richtige Grenzwert fuer die Beruehrungsspannung angezeigt. 
 
 * Aenderungen in Version 1.19.38 vom 17.03.2025
 * MA EV 1: SW-Vers. auf V1.00.06 geaendert.
 *          	Die IPE-Offset-Berechnungsroutine wurde geaendert. Es konnte ein Offset-Fehlers auftreten,
 *          	wenn es viel Datenverkehr bei der Initialisierung gegeben hat.
 *          	Den Timeout fuer den I2C reduziert 
 *          	Externer WD-Reset in der Delay-Funktion hinzugefuegt 

 * Aenderungen in Version 1.19.37 vom 12.03.2025
 * MA EV 1: SW-Vers. auf V1.00.05 geaendert.
 *          	Automatischen Fehlertest optimiert.
 
 * Aenderungen in Version 1.19.36 vom 11.03.2025
 * Abfangen von Fehlern mit FastClear
 * MA EV 1: IPE Werte werden bei 3phasigen Ladekabeln vom MA EV 1 ausgelesen.
 * MA EV 1: Wiederholungen fuer die Pruefung vom Status A, B, C, D hinzugefuegt.
  
 * Aenderungen in Version 1.19.35 vom 07.03.2025
 * MA EV 1: Status A wird in Status A1 und A2 aufgeteilt. Es wird nicht mehr das Tastverhaeltnis und die neg. Spannung ausgewertet.
 * MA EV 1: Status B wird in Status B1 und B2 aufgeteilt. Es wird nicht mehr das Tastverhaeltnis und die neg. Spannung ausgewertet.
 * MA EV 1: Fehlertest Spannung auf PE: Spannungsfreiheitsgrenzen wurden angepasst. 
 * MA EV 1: Software-Version 1.00.04 ist enthalten.

 * Aenderungen in Version 1.19.34 vom 26.02.2025
 * Kunden.db: Abfangen von Fehlern beim Update der Tabellenversionen.
 * PRCD-DC Parameter korrigiert. Abbruchbedingungen verbessert.
 * PRCD Parameter korrigiert. Abbruchbedingungen verbessert.
 * MA EV 1: SW-Version V1.00.03 ist integriert.
 * Pruefungsvorschau: Fehlertest-Button wird in der Manuellen Pruefung richtig angezeigt.
 * Die Abfrage vom Bluetooth-Drucker wird zwischengespeichert und nicht aus der Datenbank geladen.
 * MA EV 1: Wenn die Kommunikation gestoppt werden soll, wird diese schneller abgebrochen.
 * PRCD-Kommunikationsinterface zum HW-Controller erweitert.
 * Das Datenbankfeld Ergebnisse.Ergebnisse_RCD_rcd_status3 erweitert.
 * InformationPopup und asynchrone InformationPopups warten darauf bis das Set-Event aufgerufen oder 5s.
 * Datenbank-Ansicht: Allgemeiner Fehler wird beim Oeffnen der Datenbank-Ansicht verhindert, wenn die SD-Karte ausgeworfen worden ist.
 * Firmware-Update wird nur angezeigt, wenn vorher eine Firmware-Version ausgelesen werden konnte.
 * Display Hintergrundbeleuchtung wird nach dem Starten auf Batterie auch wieder eingeschaltet.
 * Beim Schliessen der Datenbank wird bis zu 3s gewartet, damit die aktuelle Transaktion abgeschlossen werden kann.
 * Die Hardware-Version kann nur aus dem Controller ausgelesen, wenn dieser auch verbunden ist und der Geraetetester nicht im Batteriemodus ist.
 * Procedure: Das mehrfache Aufrufen vom Popup wird verhindert.
 * RISO + MA EV 1: Vor dem Starten der Pruefung werden die Relais beim MA EV 1 abgeschaltet.
 * Geraeteinitialisierung: Optimierung beim Auslesen der Seriennummer
 * Firmware-Version wird zwischengespeichert, wenn das Geraet im Batteriemodus laeuft.
 * Datenbankverriegelung hinzugefuegt.
 * Schliessen der Datenbank optimiert.
 * Es wird die Hardware-Version nur aus dem Controller gelesen, wenn der Controller erreichbar ist.

 * Aenderungen 1.19.04 bis 1.19.30 (11.04.2024 bis 20.12.2024)
 * Erste Version mit MA EV 1
 * Unterstuetzung fuer die PRCD-DC-Pruefung
 * Neue Datenbank-Version 17
 * Standarpruefablaeufe fuer die EV-Pruefung hinzugefuegt.
 * Beim Speichern vom Geraet wird der eingestellte Strom fuer die EV-Pruefung geprueft.
 * Update der Kommunikation zum MA EV 1
 * Integration der Datenbankkonsistenzpruefung
 * Stop-Funktion beim Beenden vom Testschritt optimiert.
 * Die Durchfuehrung vom EV-Testschritt wird nicht erneut automatisch gestartet.
 * Das Drucken vom Prueflabel funktioniert jetzt auch in der manuellen Pruefung ohne das Geraet vorher ausgewaehlt wurde. Die ID bleibt dann leer.
 * Der Fehlertest-Button wird richtig angezeigt.
 * Mode durch CP-State ersetzt und Varianten fuer Netzstecker hinzugefuegt.
 * RPE-Messung: Es erfolgt eine EV-Abschaltung, wenn keine RPE-Verbindung vorhanden ist.
 * Datenbank-Menue: Bei mehr als 30 Kunden wird jetzt die Suchmaske geoeffnet, wie in der Automatikpruefung.
 * Manuelle Pruefung: Die Kunden werden jetzt sortiert. Bei mehr als 30 Kunden wird jetzt die Suchmaske geoeffnet, wie in der Automatikpruefung.
 * Es wird zwischen 1 und dreipoligen Ladekabeln unterschieden.
 * Manuelle PRCD-DC-Pruefung hinzugefuegt.
 * PRCD-DC:Ausloesestrom ist nicht auswaehlbar. Nur in den Grenzwerten.
 * EV-Pruefung: Vor dem Start muessen die Grenzwerte eingestellt sein.
 * Remote-Unterstuetzung fuer EV und PRCD-DC Pruefschritte hinzugefuegt.
 * RPE-Offset wird auch bei der EV-RPE Messung abgezogen.
 * Timeout fuer den PE-Fehlertest auf 5s geaendert.
 * Gruppennamen fuer das Smart-Menue aus der Cloud werden uebernommen.
 * Abfangen vom Nullpointer, wenn in der Auswahl der Eigenschaften fuer einen Pruefschritt nichts ausgewaehlt wurde.
 * Automatischer Durchlauf fuer EV Prueflinge, wenn keine Benutzerinteraktion notwendig ist.
 * Datenbank-Update auf Version 18. Es werden ggf. Spalten neuangelegt, welche von der PC-SW falsch angelegt worden sind.
 * Bei grossen Datenbanken wird der Kunde nicht beim Veraendern vom Geraet rausgeloescht.
 * Mode 3 Grenzwert wird richtig uebernommen.
 * Mode 2: Grenzwerte im Automatikmodus aus der Grenzwerttabelle geladen.
 * BTEC: Verhalten bei groesser 5000 Prueflingen geaendert
 * VDE0701, VDE0702, VDE0701-0702: Es werden jetzt immer alle Pruefungsarten bei den Ergebnissen angezeigt.
 * RPE-Offset wird auch bei der RPE-Pruefung mit dem MA EV1 angezeigt bzw. abgezogen.


Aenderungen 1.19.02 vom 19.02.2024
 * BTEC-Passwoerter mit "+" und "&" werden unterstuetzt.
 * Es werden die richtigen Grenzwerte genommen.

Aenderungen 1.19.01 vom 06.02.2024
 * Das Anlegen von Benutzern funktioniert wieder.
 
Aenderungen 1.19 vom 05.02.2024
* Es wird beruecksichtigt, ob der Beeper in den Systemdaten eingeschaltet worden ist oder nicht.
* Bei der Beruehrungstrommessung beim MA-3 im Ersatzableitstromverfahren wird das richtige Bitcoding gesetzt.
* Beim Abspeichern vom Ergebnis wird jetzt auch bei der Norm VDE 0751 der Anwendungsteil im Feld Ergebnisse_Pruefablauf_getestet gesetzt.
* Beim Editieren von Geraeten koennen diese auch mit den Geraetevorlagen ueberschrieben werden. (Pruefplan und Schutzklasse werden jetzt auch übernommen)
* Es kann nachtraeglich der Kommentar zu einer Pruefung geaendert werden und Grund der Pruefung bearbeitet werden
* In der Autotestform wird die letzte Zeile komplett angezeigt.
* Riso Grenzwert fuer PRCD wird richtig gelesen
* DNS wird fuer LAN und WLAN angezeigt und kann eingestellt werden.
* Fehlerhandling beim Anlegen von Geraete verbessert.
* Datenbankfelder fuer die Cloud-Synchronisation hinzugefuegt.
* Geraetenamen-Vorschlagsliste wird wieder aktualisiert.
* User-DB aktualisiert.
* Vorschaubild bei Funktionspruefung VDE 0701/0702 SK 2 korrigiert.
* LogDateien koennen auf SD Karte kopiert werden(Die Funktion befindet sich im Menue Einstellungen => Systemeinstellungen => Informationen)
* Logdateien enthalten Cloud Ereignisse
* Aenderungsdatum fuer das Testergebnis hinzugefuegt.
* BTEC-Projekte: Die Anzahl der Seiten bei mehr als 25 Projekten wird richtig berechnet
* WLAN Verbindungssaufbau verbessert.
* Zeitverzoegerung bei der Auswahl der Schutzklasse und der Auswahl des Pruefplans hinzugefuegt. Es hatte zu Abstuerzen gefuehrt.
* Vorlagendatei fuer das Anlegen einer neuen Datenbank wurde aktualisiert auf V14.
* Interne Geraetewebseite abgeschaltet.
* Komplexe Passwoerter koennen in Btec verwendet werden

Aenderungen 1.18 vom 01.12.2023
 * BTEC Unterstuetzung in Form von Up und Download von Dateien und Erzeugung von Dateien aus Projekten
 * Geschwindigkeitsoptimierung
 * Datenbank kann komplett geschlossen werden
 * IPE Wert bei Stromzangen wird richtig abgespeichert
 * Meldung "PRCD Pruefung ist fertig" optimiert.
 * RISO-4 bei der manuellen Pruefung optimiert.
 * Wenn Bluetooth deaktiviert ist kann nicht mehr nach Bluetooth Devices gesucht werden oder gedruckt
 * BTEC im ST 755 / ST 760 integriert.
 * Schließen der Datenbank optimiert
 * User-DB wird vor dem Auslesen der User upgedated.
 * Username und Rolle wird auch beim Admin uebersetzt
 * Auto-Id wird auch beim beim Kundenwechsel richtig berechnet
 * PWD wird beim Datenbank-Update von alten Versionen nicht geloescht.
 * Es wird ueberprueft ob die Datenbank ueberhaupt mit dem Pruefgeraet kompatibel ist
 * Es wird ueberprueft ob es ein Update fuer das Pruefgeraet beim Oeffnen einer Datenbank gibt
 
 Aenderungen 1.17 vom 21.06.2023
 * Kalibrierung wird immer aktualisiert.
 * Bei der RPE-Messung ist mindestens 1 Messstelle abzutasten
 * Zusätzliche Ueberpruefung, ob der RPE-Messwert unterhalb vom Grenzwert liegt.
 * Erkennung vom Geraetetypen optimiert.
 * Zangenpruefung stuerzte bei einigen Geraeten noch ab.
 * Bei im PC angelegte 0701/0702 Geraete werden wieder beide Normen beim Pruefergebnis abspeichern angeboten.
 * Abfangen von Fehlern beim Anlegen von Geraeten
 * Anzeige ueberfaelliger Geraete geaendert.
 * Das Mehrfach-Piepen bei einem neg. RPE-Test mit RPE-Testwiederholung funktioniert wieder.
 * Stop-Funktion optimiert.
 * RPE-Messung: Bugfix fuer die Berechnung vom Leitungswiderstand.
 * Device: Abfangen von Fehlern rund um die Norm.
 * Beim Stoppen der Messung muss bei der RISO-Pruefung die Entladezeit abgewartet werden.
   (Ansonsten wird ggf. die naechste Messung abgebrochen. Die Wartezeit wird automatisch hinzugefuegt)
 * Bei der Funktionspruefung 701 SKII wird jetzt die Bohrmaschine angezeigt.
 * RPE-Pruefung bei der PRCD-S Pruefung optimiert.
 * Datenbank-Update verbessert.
 * Bei der Pruefungsvorschau werden die Tasten ausgeblendet, wenn automatisch in die Pruefung gewechselt wird.
 * Wenn ein Pruefschritt nicht bestanden wurde, wird gefragt ob der Pruefschritt wiederholt werden soll.
 * Registry optimiert.
 * Zangenpruefung stuerzte bei einigen Geraeten noch ab.

Aenderungen 1.16 vom 19.12.2022
 * Unterstuetzung der neuen Normen VDE 0701 und VDE 0702.
 * Im Deutschen werden die VDE Normen angezeigt. In allen anderen Sprachen werden die EN-Normbezeichnungen angezeigt.
 * WLAN: Verbesserung bei der Anzeige der vorhandenen WLANs.
 * Fehlerhandling hinzugefuegt. 
 * Kommunikation zum Messkontroller verbessert.
 * Null-Pointer beim Pruefintervall wird abgefangen.
 * Anschlusstest: Der Wasserkocher wird schon gelegentlich als Kurzschluss erkannt. Messstabilität erhöht.
 * Automatik-Pruefung: Geraetebezeichnung anzeigen: Die Geraete sind jetzt nach ID sortiert.
 * Das Druecken der Pause-/Weiter-Taste fuehrte zu Problemen. 
 * PRCD-Pruefung: Die Pruefung bricht am Ende nicht mehr ab.
 * Kabelpruefung: Die Pruefung bricht nicht mehr grundlos ab.
 * Das Logging ist wieder aktiviert
 * Uebersetzungen korrigiert.

Aenderungen 1.15 vom 15.11.2022
 * RPE-Offset-Button wird bei der RPE-Messung immer angezeigt. Sobald es sich um eine dreiphasige Messung handelt, ist der Offset automatisch aktiv.
 * Login: Das Passwort wird jetzt ausgeblendet. Es kann über einen Tastendruck aktiv entschlüsselt angezeigt werden.
 * Abfangen vom Fehler bei der Zangenprüfung.
 * Remote: Fehlerhandling in der Stop-Funktion erweitert.
 * SW-Stabilisierung und das Fehlerhandling verbessert und erweitert.
 * User und WLAN: Eingegebene Passwoerter werden mit * dargestellt.
 * Erweiterung vom Feld Geraetename, damit dieser immer richtig angezeigt wird.
 * Uebersetzungen fuer Franzoesisch und Niederlaendish hinzugefuegt.
 * Umstellung der  RPE-und Kabel-Grenzwertberechnung.
 * Firmware-Version wird versucht auszulesen, wenn sie noch nicht ausgelesen worden ist. Das fuehrte beim Automatik-Test ggf. zu einem Problem.
 * Wenn bei einem Test das Netz ausfaellt, hat sich der Geraetetester ggf. aufgehangen.  Dieses ist jetzt auch abgefangen, der Test kann beendet werden.
 * Netzausfallerkennung optimiert.

Aenderungen in Version 1.14 vom 04.05.2022
 * Bei der Kabelmessung wurde die Count-, Reset- und Pausen-Funktion geaendert.
 * Schliessen der Datenbank angepasst.


Aenderungen in Version 1.13.15 vom 21.04.2022
* Bugfix: Diverse Fehler behoben.
* Die eingegebne ID wird jetzt im Dialog "Es wurde kein Geraet mit dieser ID gefunden..." angezeigt.


* Aenderungen in SW-Version 1.13 vom 15.11.2021
* Beim ersten Starten wird immer die Sprachauswahl angezeigt. 
* Bluetooth Pausenzeit wird von 15s auf 20s verlaengert.
* Bugfix: fuer Geraete ohne Kunden..
* Umstellung vom Barcode bei den Pruefetiketten von Code 39 auf Code 128B, damit auch kleine Buchstaben ausgedruckt werden koennen.
* PrintTestLabelCompany wird OEM-Kundenspez. geladen.
* Prueflabel und Pruefreport: Das Datum und die Uhrzeit wird immer mit zwei Zeichen gedruckt. (Fuehrende 0 sind vorher entfallen)
* Wenn der Drucker das Drucken von Etiketten nicht unterstuetzt, wird der richtige Hinweis angezeigt.
* Korrektur der angezeigten Bilder fuer die Pruefung von Stromverteiler.
* Manuelle Pruefung: Hinweistext beim Abspeichern vom Pruefling angepasst.
* Falscher Drucker: Abfrage ob der Report gedruckt werden soll hinzugefuegt.
* Beim Pruefablauf 16 Leitung Schuko ohne Sonde und 5 Geraete SK I Heiz <3,5kW ist der richtige Grenzwertsatz aktiv.
* Fehlerhandling erweitert.
* Timeouts fuer die Kalibrierung verlaengert.
* Fehlerhandling fuer die Remote-Unterstuetzung angepasst.
* Remote-Stop-Funktion sendet jetzt immer eine Antwort.

 
 
 * Aenderungen 1.12 vom 02.08.2021
 * User-DB-Version 10 und Update vom Stromverteiler A und B Pruefplan, damit keine Netzumpolung mehr stattfindet.
 * Prueflabeldruck: Es wird jetzt die Prueffirma ausgedruckt und nicht der Pruefer.
 * Es wurde die Abfrage hinzugefuegt, ob die Leitungslaenge, Leitungsquerschnitt oder die Anzahl der Leiter vom Geraet  beim Abspeichern vom Testergebnis ueberschrieben werden soll.
 * Umstellen der Rechte: Automatik-Pruefung darf nur der Admin Grenzwerte und Eigenschaften aendern. Bei der manuellen Pruefung duerfen Admin und der Gast alles aendern.
 * Eingaben: Apostroph wird jetzt durch Leerzeichen ersetzt.
 * Aendern von Pruefplaenen: Es werden die richtigen Grenzwerte uebernommen.
 * Andern vom Geraet: Beim Aendern der Schutzklasse, Pruefplan: Es werden nur Grenzwerte und die Pruefplaene zurueckgesetzt, wenn auch wirklich was veraendert worden ist.
 * RPE-Pruefung: Bugfix, es bestand bei der RPE Wiederholung die Moeglichkeit, dass die Ergebnisbits nicht richtig gesetzt wurden, wenn eine Messung
 *              noch nach dem Druecken der Taste weiter aktiv war und der Messwert schlecht war.
 * Die Batteriekapazitaet wird richtig berechnet. 
 * Verriegelung fuer das Update eingebaut und Uebersetzungen fuer den Update-Prozess hinzugefuegt.


 * Aenderungen 1.11.1 vom 28.06.2021
 * Remote-Schnittstelle: Stop-Prozedur optimiert.

 * Aenderungen in Version 1.11 vom 01.04.2021
 * Drucken vom Prueflabel
 * System Daten: Bei der Erweiterung der Systemdaten wird immer in den entsprechenden Abschnitt gesprungen.
 * Beim User Admin kann nicht der Name und die Rolle geaendert werden.
 * Importierte Geraete werden auf vollstaendige Daten ueberprueft.
 * Die Bilder vom Stromverteiler werden nicht mehr bei den Pruefablaeufen 26-30 angzeigt.
 * Beim Stromverteiler wird jetzt auch der Messadapter-Offset beruecksichtigt.
 * Bei Geraeten wird jetzt auch ueberprueft, ob die Abteilungs-Ids vorhanden sind. Wenn nicht, werden diese hinzugefuegt.
 * Bei der manuellen Pruefung wurde das Ergebnis u.u. als durchgefallen gewertet.
 * Remote-Schnittstelle: PRCD-Funktion optimiert.
 * RPE und Kabelmessung: Uebergangswiderstand von 0,2Ohm auf 0,1Ohm geaendert.
 * Anzahl Backup von Kundendatenbanken von 5 auf 10 erhoeht.
 * Beim Speichern von Testergebnissen wird ein Popup fuer das Speichern angezeigt. 
 * Beim Anlegen vom Kunden wird ggf. ein Popup fuer das Speichern angezeigt.
 * Beim Anlegen von Geraeten wird ggf. ein Popup fuer das Speichern angezeigt.
 * Testlabel darf jetzt von allen Geraeten gedruckt werden.
 * Beim Aendern von Geraete werden Geraete aus der alten Abteilungsliste ausgetragen.
 * Question Popup erweitert, so dass man fuer beide Knoepfe einen Text uebergeben kann.
 * Korrektur vom Pruefdatum und naechstem Datum beim Ausdrucken.
 * Beim Anlegen von neuen Geraeten wird die Kabellaenge immer richtig uebernommen.
 * Bei neu angelegten Prueflingen ist die Bezeichnung leer.
 * Kommentare koennen jetzt nachtraeglich auch zu Testergebnissen hinzugefuegt werden.
 * Komma-Problem bei PNENN korrigiert. 
 * Bei mehr als 30 Kunden wird in die Keyboard-Form gesprungen, ansonsten wird zur Auswahl die Kombobox-Form genommen.
 * Korrektur von der Uhrzeitberechnung bei der Sommerzeit.


* Aenderungen in Version 1.10 vom 14.01.2021
* Bugfix: Wenn man bei einem neg. Testergebnis den Pruefling veraendert und abspeichert, wird das Datum fuer die naechste Pruefung falsch berechnet. 
 * Addon: Die einmalige Pruefung wird jetzt unterstuetzt. Das Datum fuer die naechste Pruefung wird entsprechend gespeichert.
* Bugfix: Der Grenzwert fuer die Kabelpruefung wird jetzt bei Laengen groesser als 50m richtig berechnet.
* Die folgenden Systemdaten wurden hinzugefuegt:
   * MA-4 Standard Bildauswahl
   * Quellenauswahl fuer die Datenbank (SD-Karte / USB-Stick / etc. hinzugefuegt.)
   * Offset Messadapter fuer RPE Messung
   * Tastatur Automatisch ein-/ausblenden oder immer an.
* Sortierreihenfolge geaendert. Die Kernel-Version steht jetzt vor den Service-Kontakten.
* Erweiterung fuer die Datenbank auf dem USB-Stick
* Knopf fuer das Pruefen der Datenbank hinzugefuegt.
* Die Datenbankkorrektur DepartmentUpdate ist jetzt optional.
* Bei der Zangenpruefung findet jetzt keine Netzumpolung mehr statt.
* Es werden die richtigen Bilder fuer die Zangen- und Messadapterpruefungen angezeigt.
* Die minimale Testzeit betraegt jetzt 2s. 
* Timeoutzeit zwischen Threads verkuerzt.
* Starten vom Zangentest optimiert, damit dieser immer auch richtig startet.
* Synchronisationszeiten zwischen den Prozessen angepasst.
* Bugfix: Installation der alten SW-Versionen ist wieder moeglich.
* Bugfix: Bei den Speichern der Systemdaten wird die Kundendatenbank nur geschlossen, wenn sich das Verzeichnis geaendert hat.
* Bugfix: Department-Update wird nicht bei neuen Datenbanken durchgefuehrt.
* Erweiterung der Anschlussbilder beim Test(mehr Schweiss-, Verteiler- und Messadapterbilder)
* Bugfix: Automatiktest: Es wird je nach Zeilenauswahl der richtige Text beim "Kopieren" oder "Schliessen" angezeigt.
* Hinweis Touch-Kalibrierung mit einem Stift durchfuehren.
* Schliessen der Datenbank wird angezeigt.
* Pruefplaene werden vor dem Ausfuehren aktualisiert.
* Bei der Kabelpruefung werden beim Druecken vom Reset-Knopf jetzt auch die Peak-Werte zurueckgesetzt.
* Tastatureingabeunterstuetzung eingebaut.
*      Mehrzeilige Textbox: STRG + ENTER wird die Textbox mit mehreren Zeilen verlassen
*                  ESC:    Zurueck ohne Speichern
*      Hinweis-Popup: Wird beendet ueber ENTER oder ESCAPE.
*      Frage-Popup:
*                  ESC oder 'n' => Nein, beenden
*                  ENTER oder 'j' oder 'y' => ja, weiter
*      Stop-Popup: Wird ueber ESC beendet.
*      Datenbankauswahl:
                    ENTER oder STRG + s: Speichern
                    ESC: Zurueck
                    TAB: Naechstes Listenelement
                    n: Naechste Seite
                    p oder v: Vorherige Seite
*      Log-In-Form:
*                  Die Eingabe vom Passwort ist direkt moeglich. Mit Enter wird das Passwort bestaetigt.
*      Main-Menue:
*                  ESC: Ausloggen
*                  s, a oder ENTER: Automatik-Messung
*                  h: Hilfe
*                  d: Datenbank
*                  e: Einstellungen
*                  7 oder 1: VDE 0701 manuelle Pruefungen
*                  5 oder m: VDE 0751 manuelle Pruefungen
*                  4 oder w: VDE 0544 manuelle Pruefungen
*      Ergebnis-Ansicht:
*                  ESC oder n: Abbrechen
*                  s oder ENTER: Speichern
*                  p oder d: Drucken
*                  b oder z: Zurueck
*      Pruefschritt-Ergebnis:
*                  ESC oder n: Zurueck
*                  s oder ENTER: Start
*      Pruefschritt-Preview:
*                  LEERTASTE: Wenn ein Bild aktiv ist, wird dann ggf. das zweite Hilfe-Bild angezeigt.
*                  s oder ENTER: Start
*                  ESC: Zurueck
*                  h: Hilfe
*                  t oder z: Zeiteinstellungen
*                  l oder g: Grenzwerte
*                  o: Optionen
*                  p oder b: Hilfe-Bild
*      Pruefschritt:   
*                  ESC: Stop
*                  s oder ENTER: Start
*                  p:  Pause
*                  e:  Error
*                  r:  Reset
*                  f oder d:  Finish
*                  c oder u: Polaritaet umkehren
*      Sichtpruefung:
*                  ESC: Error
*                  s oder Enter: Start bzw. Ok bei kundenspez. und erweiterter Sichtpruefung
*                  h: Hilfe
*                  n oder f: Fehler oder bei kundenspez. und erweiterter Sichtpruefung: alle NIO
*                  o oder j oder y: OK
*                  TAB: Auswahl der naechsten Zeile
*                  Leertaste: Auswahl ob IO, NIO oder Nicht anwendbar
*      Automatikmenue:
*                  ESC: Zurueck
*                  Tab: naechste Zeile auswaehlen
*                  STRG + n: NEU
*                  STRG + c: Kopieren oder DB schliessen
*                  STRG + s: Start
*                  STRG + e: Pruefling editieren
*                  STRG + f: Pruefling suchen, abhaengig von der ausgewaehlten Zeile
*                  STRG + t: Testergebnis
*                  ENTER:  abhaengig von der ausgewaehlten Zeile:
*                      Datenbank:  Auswahl der DB
*                      Kunden:     Auswahl vom Kunden
*                      Abteilung:  Auswahl von der Abteilung
*                      Geraete: 
*                          - vorher eingegebene ID wird bestaetigt und gesucht.
*                          - bei der ausgewaehlten ID  wird die Pruefung gestartet.
*                  Alle Buchstaben und Zahleneingaben werden fuer die ID bis zum naechsten ENTER genommen.
*                  Bei einem der oben ausgewaehlten Funktionen, wird die zwischengespeicherte ID wieder zurueckgesetzt.
*      Hilfe-Ansicht:
*                  ESC oder ENTER: Zurueck
*                  b oder p:   Bilder anzeigen
*      Kunden:     
*                  TAB: naechste Zeile
*                  ENTER: Zeile aendern
*                  STRG + s: Speichern
*                  ESC: Zurueck
*      Geraete:     
*                  TAB: naechste Zeile
*                  ENTER: Zeile aendern
*                  STRG + s: Speichern
*                  ESC: Zurueck 
*                  STRG + q oder STRG + f: Fragen aendern 
*                  STRG + t oder STRG + p: Testplan aendern
* Scrollen bei den Sichtpruefungen optimiert.   
* Autotest: Highlight von der ID hinzugefuegt.  
* Hinweis fuer das Suchen nach der Geraetebezeichnung hinzugefuegt.
* Geraetesuche: Suchen bei grossen Datenbanken optimiert.
* Geraete aendern: Norm, Schutzklasse und Pruefplan wird jetzt jeweils vom letzten Geraet uebernommen.
* Geraete aendern: Sobald die Norm oder Schutzklasse geaendert wird, springt die Anzeige automatisch in die naechsten Ansicht:
             - Norm => Schutzklasse => Pruefplan
             - Schutzklasse => Pruefplan
* Registry Keys und Values werden auch beim Entfernen vom Drucker geloescht
* Wenn keine Datenbank vorhanden ist, wird keine Fehlermeldung erzeugt.
* Datenbank auswaehlen: Die Tasten Next und Previous werden nur angezeigt, wenn es mehrere Seiten gibt.
* Bugfix: PRCD-Pruefung: Es gab sporadisch fehlerhafte Ergebnisse.
* Bugfix: Nullpointer beim Speichern behoben.
* Der Abteilungsname wird mit beim Geraet abgespeichert.
* Abteilungen werden aus der Abteilungstabelle geloescht.
* Automatikpruefung: Wenn keine DB geoeffnet ist, wird die Zeile Datenbank ausgewaehlt.
* Automatikpruefung: Werden Abteilungen umbenannt, wird ueberprueft, ob der neue Abteilungsname schon existiert. Wenn ja, werden die Abteilungen zusammengefuehrt. 


 * Aenderungen in Version 1.09 vom 15.07.2020
 * Bugfixing beim Anschlusstest
 * Neuer Touch-Treiber
 * Touch-Kalibrierung hinzugefuegt.


 * Aenderungen 1.08.02
 * Bugfixing Ergebnisanzeige
 * Bugfixing noch nicht vorhandene WLAN-Ip-Adresse oder keine WLAN-Subnetmask.
 * Unterstuetzung vom neuen Batteriecontroller
 * Optimierung vom Verhalten bei grossen Datenbanken.
 * Suche nach SW-Update via WLAN hinzugefuegt.


* Aenderungen 1.08
* Die Funktion Ausserbetrieb wurde in den moeglichen Geraeteeinstellungen ergaenzt.
* Datenbank: Anzeige der Geraete in einer Abteilung optimiert. Es werden nur die Geraete angezeigt, welche zu der entsprechenden Abteilung gehoeren.
* Datenbank: Beim Loeschen von Abteilungen, werden die Geraeteabteilungen auch mit geloescht. Die Geraete gehoeren dann zur Abteilung (Leer)
* Datenbank: Schliessen der Datenbank optimiert.
* Die Autotestzeit wird jetzt auf NULL ueberprueft. Fall NULL wird die DEFAULT-Testzeit in Hoehe von 5s genommen.
* Die Startzeit wurde bei vielen Grenzwerten beschleunigt.
* Beim RCD_rcd_status2 wird jetzt eine Konvertierung durchgefuehrt.
* Open-Source-Lizenz wird in der Hilfe angezeigt.
* Der max Messwert fuer die Messung vom RPE wird von 30 Ohm auf 15 Ohm geaendert. 
 * Pruefplaene werden jetzt abhaengig von ihrer Art sortiert.  Kundenspez. Pruefablaeufe werden nach Name sortiert. Standard Pruefablaeufe werden nach Nummern sortiert.
* Templates (Sichtpruefungen und Pruefplaene) werden ebenfalls namentlich sortiert.
* Sichtpruefungen werden jetzt auch sortiert.
* Doppelte Sichtpruefungen werden ausgeblendet.
* Wiederholungspruefung fuer die Kabelpruefung aktiviert.
* Bugfixing beim Anlegen von Geraeten im Automatikmodus, der Kunde wird nach dem Anlegen weiter angezeigt.
* Die ausgewaehlte Zeile springt in der Automatikmaske weiter, wenn eine Aktion abgeschlossen ist. Bspw. Oeffnen der Datenbank. Es wird danach die Zeile Kunde ausgewaehlt.
* Die Meldung "PRCD bitte einschalten!" wird verzoegert angezeigt.
* RPE-Testwiederholung wird verzoegert abgebrochen, damit immer mindestens eine Messung stattgefunden hat.
* Wenn bei der PRCD-Pruefung ein Laststrom vorhanden ist, erfolgt ein Hinweis und die Pruefung wird verzoegert
     Sobald die Last entfernt worden ist, wird die Pruefung gestartet. Ansonsten wird die Pruefung nach Timeout abgebrochen.
* LAN und WLAN IP-Adressen bleiben jetzt erhalten und werden nicht ueberschrieben, wenn man kein DHCP hat.
* Erkennbarkeit vom ST760 im WLAN: UDP Nachrichten werden jetzt auch via WLAN versendet.
* Das Datum fuer die naechste Pruefung wird beim Abspeichern vom Pruefling neu berechnet.
* Bei fehlerhaften Datenbanken gab es Abstuerze bei den Sichtpruefungen.
* Wenn bei der Funktionspruefung der Haken fuer Fehlerhaft gesetzt wird, wird das Ergebnis jetzt dauerhaft als Fehlerhaft angezeigt. 
 * Die Sichtpruefung wird im Pruefergebnis nur angezeigt, wenn diese auch durchgefuehrt worden ist.
* Es wird die richtige Anzahl an Geraeten in den Abteilungen angezeigt.
* Beim Aendern der Abteilung wird auch in den entsprechenden Geraeten, die Abteilung geaendert.
* Datenbankupdate bei den Abteilungen.
* Beim Abspeichern der Geraete wird ueberprueft, ob der Geraete Abteilungsnamen nicht mehr mit der Abteilung uebereinstimmt,
    wenn ja,  muss eine neue Abteilung angelegt werden.
* Anlegen und aendern vom Pruefling: Es wird ueberprueft, ob es die Abteilung bei dem Kunden schon gibt und nicht ob es die Abteilung in der Datenbank gibt.
 

 * Aenderungen 1.7.3
 * LKH: Der max Messwert fuer die Messung vom RPE wird von 30 Ohm auf 15 Ohm geaendert. 
 * LKH: Pruefplaene werden jetzt abhaengig von ihrer Art sortiert.  Kundenspez. Pruefablaeufe werden nach Name sortiert. Standard Pruefablaeufe werden nach Nummern sortiert.
 * LKH: Templates (Sichtpruefungen und Pruefplaene) werden ebenfalls namentlich sortiert.
 * LKH: Sichtpruefungen werden jetzt auch sortiert.
 * LKH: Doppelte Sichtpruefungen werden ausgeblendet.
 * LKH: Wiederholungspruefung fuer die Kabelpruefung aktiviert.
 * LKH: Bugfixing beim Anlegen von Geraeten im Automatikmodus, der Kunde wird nach dem Anlegen weiter angezeigt.
 * LKH: Die ausgewaehlte Zeile springt in der Automatikmaske weiter, wenn eine Aktion abgeschlossen ist. Bspw. Oeffnen der Datenbank. Es wird danach die Zeile Kunde ausgewaehlt.
 * LKH: Die Meldung "PRCD bitte einschalten!" wird verzoegert angezeigt.


 * Aenderungen 1.7
 * LKH: PRCD Ergebnisse werden richtig dargestellt
 * LKH: Bugfixing bei kundenspez. Pruefungen
 * LKH: Schweissgeraetespannungsgrenzen werden richtig dargestellt.
 * LKH: Die minimale Riso-Spannung wurde von 50V auf 100V geaendert.
 * LKH: Variable Uebergangswiderstand aus den Einstellungen entfernt, da die Variable keinen Einfluss hatte.
 * LKH: Der Knopf Pruefablauf erscheint bei Benutzer mit Admin-Rechten sofort, wenn dem Pruefling ein Pruefablauf zugeordnet wurde.
 * LKH: Der Anwender mit Benutzerrechten duerfen jetzt keine Pruefablaeufe und keine Grenzwerte mehr veraendern. Er kann aber neue Geraete anlegen und auch andere Pruefplaene auswaehlen.
 * LKH: Drucker wird im Fehlerfall nicht mehr zyklisch versucht zu konfigurieren, sondern nur einmalig beim Verbinden. 
 * LKH: Bilder vom MA-4 werden bei Bedarf (abhaengig von der Messmethode) angezeigt. 
 * LKH: Im Vorlagen-Ordner wird immer die aktuelle Datenbank geladen.
 * LKH: Uebersetzungen fuer die neuen Bilder MA-4 hinzugefuegt.


* Aenderungen 1.6 vom 30.08.2019
* LKH: Fehlerhandling wurde angepasst.
* LKH: Fehlerhafte Prueflinge koennen jetzt auch im Menueeintrag Datenbank geladen werden.
* LKH: Beim Anlegen von neuen Datenbanken werden jetzt die Sichtpruefungen mit in der Datenbank angelegt.
* LKH: Fehlerhandling beim Pruefplatzwechsel wurde optimiert.
* LKH: Das intiale Laden wird jetzt in Prozent angezeigt und der erste Batteriebalken blinkt.
* LKH: Das Laden vom Geraet wird jetzt auch in der Batterieanzeige visuell dargestellt. Der letzte Balken blinkt beim Laden.
* LKH: Der Drucker wird auf den Standard Schriftzeichensatz konfiguriert.
* LKH: Beim Neuanlegen von Pruefplaenen kann man jetzt direkt die Grenzwerte einstellen. Sobald auf Grenzwerte geklickt wird, wird der Pruefplan gespeichert.
* LKH: Korrektur vom USB-Eventhandler
* LKH: Werkseinstellungen, fehlende Einstellung korrigiert.
* LKH: Beim Neuanlegen von Kunden werden Leerzeichen am Anfang und Ende vom Name entfernt. Im Kundenname duerfen Leerzeichen enthalten sein.
* LKH: Doppelte Sichtpruefungen werden nicht mehr angezeigt.
* LKH: USB-PC-Verbindung als Massendatenspeicher stabilisiert. 
* LKH: Kernel-Version wird unter Informationen angezeigt.
* LKH: Sobald ein Pruefplan von einem Geraet auf Individuell geaendert wird, werden die Standard-Grenzwerte von dem letzten Standard Pruefablauf genommen.
* LKH: Einige defekte Datenbanken fuehren nicht mehr zum Systemabsturz.


Aenderungen 1.05 vom 11.06.2019
 * LKH: Beim Ausdrucken wird das Datumsformat in Abhaengigkeit der eingestellten Sprache gestellt.
 * LKH: Bluetooth-Anpassungen
 * LKH: Es koennen die Sichtpruefungen bei den Ergebnissen betrachtet werden.
 * LKH: Es koennen auch Standardpruefungen kopiert werden, damit diese nachher angepasst werden koennen.
 * LKH: Ansicht aller Messergebnisse
 * LKH: Die Druckfunktion ist jetzt auch nachtraeglich fuer Pruefergebnisse vorhanden.
 * LKH: Es werden die Normen beim Ausdruck angezeigt.
 * LKH: Es kann nach ueberfaelligen Prueflingen sortiert werden.
 * LKH: Ruecksetzen auf Werkseinstellung wurde korrigiert.
 * LKH: Es erfolgt eine Warnung, wenn der Akku leer ist und das Geraet sich nicht im Netzbetrieb befindet.
 * LKH: Erweiterte Sichtpruefungen werden jetzt beim Kopieren des Prueflings mit kopiert.
 * LKH: Die Vorschlagsliste fuer die Hersteller kann korrigiert werden.
 * LKH: Kopieren von Prueflingen ist jetzt auch im Automatikmodus verfuegbar.
 * LKH: Beim Kopieren des Prueflings wird das naechste Pruefdatum auf den aktuellen Tag gesetzt.
 * LKH: WLAN und Bluetooth koennen jetzt abgeschaltet werden.
 * LKH: Kundennummer wird im Geraet angezeigt.
 * LKH: RPE-Messung kann jetzt nicht mehr vorzeitig abgebrochen werden.
 * LKH: Fuer mobile Stromverteiler koennen jetzt beliebig viele PRCDs geprueft werden. Es werden die MAX-Werte und die Anzahl der Pruefungen gespeichert.
 * LKH: Neu Anlegen von Prueflingen: Es wird immer der letzte Eintrag fuer die Abteilung genommen. (Abteilung oder leerer Eintrag)
 * LKH: Blau hinterlegte Texte koennen ueber eine beliebige Taste geloescht werden.
 * LKH: Serielle Remote-Funktion: Die Antworten vom Geraet werden nicht mehr abgeschnitten.
 * LKH: Unterstuetzung der kundenspez. Pruefablaeufe aus dem ST750
 * LKH: Beheben vom Memory Leak.
 * LKH: Unterstuetzung fehlerhafter Datenbanken.
 * LKH: Anpassung der Druckfunktionen. 
 * LKH: Fehlende Uebersetzungen hinzugefuegt. (Drucker, Bluetooth und WLAN)
 * LKH: Zuruecksetzen auf Werkseinstellungen angepasst. 
 * LKH: Behebung von Abstuerzen.
 * LKH: Groesseres Timeout fuer den Drucker
 * LKH: Sleep-Time vom Drucker wird jetzt auf 10Minuten geaendert.
 * LKH: Keyboard wird beim Anschluss vom externen Keyboard ausgeblendet.
 * LKH: Interne Kommunikation verbessert.
 * LKH: Neue SW-Updates werden nur noch angezeigt, wenn wirklich welche verfuegbar sind.


Aenderungen 1.04 vom 20.03.2019
- LKH: Updates werden verhindert, sobald der Tester nicht im Netzbetrieb ist.
- LKH: Doppelte Weiter-Button werden unterbunden.
- LKH: Zeitzone und Zeitsprung korrigiert.
- LKH: Umstellung auf deutsche Zeitzone
- LKH: Schliessen der Datenbank kann durch einen Knopfdruck durchgefuehrt werden.
- LKH: Fernsteuerung via Netzwerk eingebaut. (Steuerung via Microsoft Cerhost.exe oder einer entsprechenden APP)
- LKH: WLAN-MAC-Adresse wird angezeigt.
- LKH: Englische Sprache wird jetzt komplett unterstuetzt.
- LKH: Hinweis-Text, wenn bei der Schweisspruefung der UA-Grenzwert nicht definiert wurde.
- LKH: Max. Peakwert fuer die Schweisspruefung entfaellt.
- LKH: Es werden jetzt Bluetooth Scanner, Tastaturen und Maeuse unterstuetzt.
- LKH: Die Kunden in der Datenbank werden jetzt sortiert nach dem Namen angezeigt.
- LKH: Bild Touchgesten_collage wird in Abhaengigkeit der Sprache geladen.
- LKH: Bildernamen von Hilfe-Bildern korrigiert.
- LKH: Pruefintervall auf 10 Jahre begrenzt.


Aenderungen 1.03 vom 14.12.2018
- Korrektur der Zeitzone (Nach dem Update wird sich einmalig die Uhrzeit verstellen, danach erfolgt nur noch die Sommer-/Winterzeit-Umstellung)
- Korrektur vom Zeitsprung beim Starten vom Geraet
- Englische Sprache wird unterstuetzt.
- Bugfix bei Auswahl von Prueflingen mit Leerzeichen in der ID
- Beim User-Wechsel wird ggf. die Sprache mit umgestellt.
- Diverse kleinere Korrekturen im Arbeitspaket 20 werden mit freigegeben.
- Optimierung der Display-Ansteuerung 


Aenderungen 1.02 vom 30.05.2018 
- Behebung von Zeitspruengen
- Support von der Remote-Schnittstelle via USB/RS232 mit FTDI-Chip
- Support vom Remote-Protokoll
- Ausgabe Ua-Schw-Peak korrigiert.
- RISO Grenzwerte tauschen nun bei Unterschreitung rot auf
- Bei Automatikpruefung Eingabe eines leeren Werts sorgt nun nicht mehr fuer Absturz
- Im Automatiktest unter Letzter Test werden nun alle Werte angezeigt bei alten Pruefungen
- Kleinere Korrekturen
	
		   
Aenderungen 1.01 vom 11.04.2018
- Serienstand Version 1.01 erzeugt.